model:
  base_learning_rate: 4.5e-06
  target: taming.models.cond_transformer.Net2NetTransformer
  params:
    first_stage_key: image
    cond_stage_key: segmentation
    transformer_config:
      target: taming.modules.transformer.mingpt.GPT
      params:
        vocab_size: 4096
        block_size: 512
        n_layer: 28
        n_head: 16
        n_embd: 1024
        resid_pdrop: 0.1
        attn_pdrop: 0.1
    first_stage_config:
      target: taming.models.vqgan.VQModel
      params:
        embed_dim: 256
        n_embed: 4096
        ddconfig:
          double_z: false
          z_channels: 256
          resolution: 256
          in_channels: 3
          out_ch: 3
          ch: 128
          ch_mult:
          - 1
          - 1
          - 2
          - 2
          - 4
          num_res_blocks: 2
          attn_resolutions:
          - 16
          dropout: 0.0
        lossconfig:
          target: taming.modules.losses.DummyLoss
    cond_stage_config:
      target: taming.models.vqgan.VQModel
      params:
        embed_dim: 256
        n_embed: 1024
        image_key: segmentation
        colorize_nlabels: 151
        ddconfig:
          double_z: false
          z_channels: 256
          resolution: 256
          in_channels: 151
          out_ch: 151
          ch: 128
          ch_mult:
          - 1
          - 1
          - 2
          - 2
          - 4
          num_res_blocks: 2
          attn_resolutions:
          - 16
          dropout: 0.0
        lossconfig:
          target: taming.modules.losses.DummyLoss

data:
  target: main.DataModuleFromConfig
  params:
    batch_size: 6
    train:
      target: taming.data.ade20k.ADE20kTrain
      params:
        size: 290
        crop_size: 256
    validation:
      target: taming.data.ade20k.ADE20kValidation
      params:
        size: 256
        crop_size: 256
